cascading.flow.tez.planner.rule.assertion

## Class DualStreamedAccumulatedMergeNodeAssert

- java.lang.Object
- - cascading.flow.planner.iso.assertion.GraphAssert<ElementGraph>
  - - cascading.flow.planner.rule.RuleAssert
    - - cascading.flow.tez.planner.rule.assertion.DualStreamedAccumulatedMergeNodeAssert

- All Implemented Interfaces:
    Rule

      public class DualStreamedAccumulatedMergeNodeAssert
      extends RuleAssert

  Throws a planner failure if a Tap, both accumulating and streamed, flows into a single merge within a given pipeline.

  The optimization is to remove the streamed edge between tap and merge, but GraphFinder needs to support marking edges.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.iso.assertion.GraphAssert

      `GraphAssert.AssertionType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DualStreamedAccumulatedMergeNodeAssert()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleAssert

      `getRuleName, getRulePhase, toString, transform`

    - ### Methods inherited from class cascading.flow.planner.iso.assertion.GraphAssert

      `assertion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DualStreamedAccumulatedMergeNodeAssert

          public DualStreamedAccumulatedMergeNodeAssert()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.